////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPClaaTypes.h
//    Cross-platform class type identifiers.
//
//  Copyright © 2013 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	10/28/13  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPUInteger.h"

const CPUInteger CPMutableClassTypeFlag = 0x8000;

enum CPClassType
{
	CPUnknownClassType = 0,
	/// CPArray identifier
	CPArrayClassType,
	/// CPMutableArray identifier
	CPMutableArrayClassType,
	/// CPBool identifier
	CPBoolClassType,
	/// CPBundle identifier
	CPBundleClassType,
	/// CPCharacterSet identifier
	CPCharacterSetClassType,
	/// CPData identifier
	CPDataClassType,
	/// CPMutableData identifier
	CPMutableDataClassType,
	/// CPDate identifier
	CPDateClassType,
	/// CPDateFormatter identifier
	CPDateFormatterClassType,
	/// CPDictionary identifier
	CPDictionaryClassType,
	/// CPMutableDictionary identifier
	CPMutableDictionaryClassType,
	/// CPEnumerator identifier
	CPEnumeratorClassType,
	/// CPError identifier
	CPErrorClassType,
	/// CPException identifier
	CPExceptionClassType,
	/// CPFileHandle identifier
	CPFileHandleClassType,
	/// CPJSONTranslator identifier
	CPJSONTranslatorClassType,
	/// CPJSONSerialization identifier
	CPJSONSerializationClassType,
	/// CPLocaleIdenifier identifier
	CPLocaleIdentifierClassType,
	/// CPLock identifier
	CPLockClassType,
	/// CPNull identifier
	CPNullClassType,
	/// CPNumber identifier
	CPNumberClassType,
	/// CPObject identifier
	CPObjectClassType,
	/// CPRetainedObject identifier
	CPRetainedObjectClassType,
	/// CPScanner identifier
	CPScannerClassType,
	/// CPString identifier
	CPStringClassType,
	/// CPURL identifier
	CPURLClassType,
	/// CPValue identifier
	CPValueClassType,
	/// CPTimeZone identifier
	CPTimeZoneClassType,
	/// CPDateComponent identifier
	CPDateComponentsClassType,
	/// CPCalendar identifier
	CPCalendarClassType,
};
