////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPCoordinate.h
//    A coordinate used in the CrossPlatform function calls.
//
//  Copyright © 2011-2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  02/10/12  K.L.S.  Changes for CrossPlatform API changes. Reworked header includes.
//	11/22/11  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPOS_API.h"
#include "CrossPlatform/PlatformSpecificMacros.h"
#include "CrossPlatform/ExternalAPIMacros.h"

typedef PLATFORM_SPECIFIC_MAC_OR_WINDOWS(CGFloat, double) CPCoordinate;

namespace CPCoordinateUtilites
{
	CPCoordinate CP_EXTERNAL_API Min(CPCoordinate AValue, CPCoordinate BValue);
	CPCoordinate CP_EXTERNAL_API Max(CPCoordinate AValue, CPCoordinate BValue);
};
