////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPExceptionName.h
//    Class used to encapsulate a cross-platform exception.
//
//  Copyright © 2013 Acclivity Group LLC., all rights reserved.
//
//  Change History (most recent first):
//
//  05/07/13  K.L.S  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"
#include "CrossPlatform/CPString.h"

class CP_EXTERNAL_API CPExceptionName
{
public:
	static const CPString& GenericException(void);
	static const CPString& RangeException(void);
	static const CPString& InvalidArgumentException(void);
	static const CPString& FileNotFoundException(void);
	static const CPString& InvalidFilePathException(void);
	static const CPString& TooManyOpenFilesException(void);
	static const CPString& FileAccessDeniedException(void);
	static const CPString& InvalidFileHandleException(void);
	static const CPString& RemoveCurrentDirectoryException(void);
	static const CPString& DirectoryFullException(void);
	static const CPString& InvalidFilePositionException(void);
	static const CPString& HardwareException(void);
	static const CPString& SharingViolationException(void);
	static const CPString& LockViolationException(void);
	static const CPString& DiskFullException(void);
	static const CPString& EndOfFileException(void);
	static const CPString& MemoryException(void);
};
