////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPFileAttributes.h
//    File attributes used to get values out of the file attributes dictionary.
//
//  Copyright © 2012 Acclivity Group LLC., all rights reserved.
//
//  Change History (most recent first):
//
//  3/17/12  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "ExternalAPIMacros.h"
#include "CrossPlatform/CPString.h"

class CP_EXTERNAL_API CPFileAttributes
{
public:
	static CPString FileSize(void);
	static CPString FileModificationDate(void);
	static CPString FileReferenceCount(void);
	static CPString FileDeviceIdentifier(void);
	static CPString FileOwnerAccountName(void);
	static CPString FileGroupOwnerAccountName(void);
	static CPString FilePosixPermissions(void);
	static CPString FileSystemNumber(void);
	static CPString FileSystemFileNumber(void);
	static CPString FileExtensionHidden(void);
	static CPString FileHFSCreatorCode(void);
	static CPString FileHFSTypeCode(void);
	static CPString FileImmutable(void);
	static CPString FileAppendOnly(void);
	static CPString FileCreationDate(void);
	static CPString FileOwnerAccountID(void);
	static CPString FileGroupOwnerAccountID(void);
	static CPString FileBusy(void);
	static CPString FileSystemSize(void);
	static CPString FileSystemFreeSize(void);
	static CPString FileSystemNodes(void);
	static CPString FileSystemFreeNodes(void);

private:	
	CPFileAttributes(void);
	CPFileAttributes(const CPFileAttributes& Object);
	~CPFileAttributes(void);
	
	const CPFileAttributes& operator=(const CPFileAttributes& Object);
};
