////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPFloat.h
//    Cross-platform float type.
//
//  Copyright © 2011-2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  02/10/12  K.L.S.  Changes for CrossPlatform API changes. Reworked header includes.
//	05/13/11  K.L.S.  Created File.
//
//  Notes:
//    When building 32-bit applications, CPFloat is a 32-bit float. A 64-bit application treats CPFloat as a 64-bit float.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

#if __LP64__
typedef double CPFloat;
#elif defined _WIN64
typedef double CPFloat;
#else
typedef float CPFloat;
#endif

namespace CPFloatUtilites
{
	CPFloat CP_EXTERNAL_API Min(CPFloat AValue, CPFloat BValue);
	CPFloat CP_EXTERNAL_API Min(int AValue, CPFloat BValue);
	CPFloat CP_EXTERNAL_API Min(CPFloat AValue, int BValue);
	CPFloat CP_EXTERNAL_API Max(CPFloat AValue, CPFloat BValue);
	CPFloat CP_EXTERNAL_API Max(int AValue, CPFloat BValue);
	CPFloat CP_EXTERNAL_API Max(CPFloat AValue, int BValue);
};
