////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPId.h
//    Cross-platform base class.
//
//  Copyright © 2010-2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  02/10/12  K.L.S.  Reworked header includes.
//	07/03/10  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/// @header CPId
/// @abstract  Inbetween header used to transition to the cross-platform id type.

#pragma once

#include "CrossPlatform/CPOS_API.h"

#ifdef __OBJC__

#define CPNil nil
typedef id CPId;

#else  // #ifdef __OBJC__

#include "CrossPlatform/id.h"

typedef const void* CPId;

#ifndef NULL
#ifdef __cplusplus
#define NULL    0
#else
#define NULL    ((void*)0)
#endif
#endif

#define CPNil NULL

#endif  // #else  // #ifdef __OBJC__
