////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPInteger.h
//    Cross-platform integer class.
//
//  Copyright © 2010-2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  02/10/12  K.L.S.  Changes for CrossPlatform API changes. Reworked header includes.
//	09/18/10  K.L.S.  Created File.
//
// Notes:
//    When building 32-bit applications, CPInteger is a 32-bit integer. A 64-bit application treats CPInteger as a 64-bit integer.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

#if __LP64__
typedef long CPInteger;
#elif defined _WIN64
typedef long long CPInteger;
#else
typedef int CPInteger;
#endif

extern const CPInteger CP_EXTERNAL_API CPIntegerMin;
extern const CPInteger CP_EXTERNAL_API CPIntegerMax;

namespace CPIntegerUtilites
{
	CPInteger CP_EXTERNAL_API Min(CPInteger AValue, CPInteger BValue);
	CPInteger CP_EXTERNAL_API Max(CPInteger AValue, CPInteger BValue);
};
