////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPLocaleIdentifier.h
//      Class to aid in dealing with a locale identifier. Locale identifiers are identifiers that specify a language and a region or country.
//
//  Copyright © 2012-2013 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	11/30/12  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPString.h"

class CP_EXTERNAL_API CPLocaleIdentifier
{
public:
	static const CPLocaleIdentifier& en_US(void);  // english, United States
	static const CPLocaleIdentifier& en_AU(void);  // english, Australia
	static const CPLocaleIdentifier& en_NZ(void);  // english, New Zealand
	static const CPLocaleIdentifier& en_GB(void);  // english, Great Britian
	static const CPLocaleIdentifier& en_CA(void);  // english, Canada
	static const CPLocaleIdentifier& en_IN(void);  // english, India
	static const CPLocaleIdentifier& en_HK(void);  // english, Hong Kong
	static const CPLocaleIdentifier& en_CN(void);  // english, China
	static const CPLocaleIdentifier& zh_HK(void);  // chinese, Hong Kong
	static const CPLocaleIdentifier& zh_CN(void);  // chinese, China
	
	CPLocaleIdentifier(void);
	CPLocaleIdentifier(const CPString& LocaleIdentifier);
	CPLocaleIdentifier(const CPLocaleIdentifier& LocaleIdentifier);
	virtual ~CPLocaleIdentifier(void);

	const CPLocaleIdentifier& operator=(const CPString& LocaleIdentifier);
	const CPLocaleIdentifier& operator=(const CPLocaleIdentifier& LocaleIdentifier);

	operator CPString(void) const;

	virtual CPString LanguageCode(void) const;
	virtual CPString CountryCode(void) const;

	bool operator==(const CPLocaleIdentifier& LocaleIdentifier);
	bool operator==(const CPString& LocaleIdentifier);
	bool operator!=(const CPLocaleIdentifier& LocaleIdentifier);
	bool operator!=(const CPString& LocaleIdentifier);

private:
	CPString m_LocaleIdentifier;
};
