////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPNull.h
//    Cross-platform null class.
//
//  Copyright © 2011-2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	08/09/11  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPOS_API.h"
#include "CrossPlatform/ExternalApiMacros.h"
#include "CrossPlatform/CPObject.h"

class CP_EXTERNAL_API CPNull : public CPObject
{
public:
	///	@brief     A class type that uniquely identifies this class.
	///	@return    Returns a class type that uniquely identifies this class.
	static CPClassType ClassType(void);

	CPNull(void);
	CPNull(const CPNull& OtherObject);
	explicit CPNull(const CPId& OtherObject);
	const CPNull& operator=(const CPNull& OtherObject);

	virtual ~CPNull(void);

	bool IsNull(void) const;
};
