////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPStringEncoding.h
//    Cross-platform string class.
//
//  Copyright © 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	04/22/10  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/PlatformSpecificMacros.h"
#include "CrossPlatform/ExternalAPIMacros.h"
#include "CrossPlatform/CPUInteger.h"

enum Enum_CPStringEncoding
{
	CPUTF8StringEncoding = 0,
	CPUnicodeStringEncoding = 1,
	CPMacOSRomanStringEncoding = 2,
	CPWindowsLatin1StringEncoding = 3,
	CPDefaultOSSingleByteEncoding = PLATFORM_SPECIFIC_MAC_OR_WINDOWS(CPMacOSRomanStringEncoding, CPWindowsLatin1StringEncoding),
	CPASCIIStringEncoding = 4
};

typedef unsigned int CPStringEncoding;

namespace CPStringEncodingUtilites
{
	CPUInteger CP_EXTERNAL_API ConvertToUnderlyingStringEncoding(CPStringEncoding Encoding);
};
