////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  LanguageSpecificMacros.h
//    Class responsible for loading resources that have tagged keys.
//
//  Copyright (C) 2008-2009 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//  09/24/09  K.L.S.  Added a convience constructor and and init using ASBuildInformation.
//  03/18/09  A.L.L.  Include product type (client, server, other) in build information.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Copyright © 2009 MYOB Technology Pty. Ltd., all rights reserved.
//
//  Change History (most recent first):
//
//  02/26/09  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
 *  LanguageSpecificMacros.h
 *  CrossPlatformFramework
 *
 *  Created by Ken Sillart on 3/26/09.
 *  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
 *
 */

#pragma once

#if __OBJC__

#define LANGUAGE_SPECIFIC_OBJECTIVE_C(oc) oc
#define LANGUAGE_SPECIFIC_MANAGED_C(oc)
#define LANGUAGE_SPECIFIC_C_OR_OBJECTIVE_C(c,oc) oc
#define LANGUAGE_SPECIFIC_OBJECTIVE_C_OR_C(oc,c) oc
#define LANGUAGE_SPECIFIC_MANAGED_C_OR_OBJECTIVE_C(mc,oc) oc

#else

#define LANGUAGE_SPECIFIC_OBJECTIVE_C(oc)
#define LANGUAGE_SPECIFIC_MANAGED_C(mc) mc
#define LANGUAGE_SPECIFIC_C_OR_OBJECTIVE_C(c,oc) c
#define LANGUAGE_SPECIFIC_OBJECTIVE_C_OR_C(oc,c) c
#define LANGUAGE_SPECIFIC_MANAGED_C_OR_OBJECTIVE_C(mc,oc) mc

#endif
