////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  NSString+LocaleIdentifier.h
//    NSString category to extend string capabilities to get a language code and a country code from a locale specifier.
//
//  Copyright © 2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  02/19/12  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

/// @brief An extension that get the country code and or the language code from a locale specifier.  
@interface NSString (LocaleIdentifier)

/// @brief returns the language code for a given locale specifier. Performing on a non-locale specifier string will give unknown results.  
- (NSString*) languageCode;

/// @brief returns the country code for a given locale specifier. Performing on a non-locale specifier string will give unknown results.  
- (NSString*) countryCode;
@end
