////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  DateTime.h
//    Date Test class for the CPDate class.
//
//  Copyright © 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	06/07/10  G.R.W.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include <time.h>

namespace DateTimeUtilities
{
	class DateTime
	{
	public:
		DateTime(void);
		~DateTime(void);

		double Second(void) const;
		int Minute(void) const;
		int Hour(void) const;
		int Day(void) const;
		int Month(void) const;
		long Year(void) const;
		int DayOfWeek(void) const;
		int DayOfYear(void) const;
		bool IsDaylightSavingsTime(void) const;

		void SetToCurrentDateTime(void);

	private:
		struct tm  m_Data;
	};
}
