////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  OBFontSpec.h
//    A Font specification.
//
//  Copyright (C) 2011 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	02/11/11  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPString.h"
#include "CrossPlatform/ExternalAPIMacros.h"

class EXTERNAL_API OBFontSpec
{
public:
	static OBFontSpec FontSpecWithNameSizeAndStyle(const CPString& FontName, float Size, int Style);
	
	float size;
	CPString name;
	int style;

	OBFontSpec(void);
	OBFontSpec(const OBFontSpec& Font);
	virtual ~OBFontSpec(void);

	const OBFontSpec& operator=(const OBFontSpec& Font);

protected:
	OBFontSpec(const CPString& Font, float Size, int Style);
};
